MSC-GENERATOR(1)

NAME
Msc-generator - draws signalling charts from textual descriptions

SYNOPSIS
msc-gen [OPTIONS] [infile] or: msc-gen -l
msc-gen --help
msc-gen --version

DESCRIPTION
Msc-generator draws signalling charts from textual descriptions.

  Generic options:

--tei-mode
    Using this option puts msc-generator into text editor integration mode. In this mode msc-gen can produce color syntax highlighting, quick error, text indent and hinting/autocomplete information. Input file(s) are read from standard input, output is written to standard output, thus no input or output filename can be specified and options -i and -o are invalid. Same with option -T option, but -S is mandatory. Option --tei-mode implies -Pno, as well. See the documentation for details.

--gui
    Using this mode pops up a GUI for interactive editing of a chart.

-T <type>
    Specifies the output file type, which maybe one of 'png', 'eps', 'pdf', 'svg' or 'emf' (if supported on your system). Default is 'png'. The token 'ismap' produces an NCSA formatted ismap file. The token 'lmap' is accepted and results a text file listing (the first line of) all labels and their page number and coordinates.

-e  If output type is PNG, specifying this will embed the chart text into the PNG file as an iTXt chunk. In case of multiple pages (and multiple output files) all will have it embedded. Results in a warning if the output type is not PNG.

-o <file>
    Write output to the named file. If omitted, the input filename will be appended by an extension suitable for the output format. If neither input nor output file is given, msc-gen_out.* will be used. Specifying '-' will result in the out be written to standard output.

<infile>
    The file from which to read input. If omitted or specified as '-', input will be read from stdin. The extension determines what type of chart the input file contains.

-i <infile> To retain compatibility with mscgen, this is an alternate way to

    specify the input file.

-S <lang>
    Forces Msc-generator to interpret the input file as a specific type of chart. This overrides the guess from the filename extension. Current chart types are 'signalling' for Signalling Charts and 'graph' for Graphviz graphs.

--utf16
    Forces the input file to be interpreted as UTF-16, even if it looks like UTF-8 or ASCII.

--utf8
    Forces the input file to be interpreted as UTF-8, even if it does not look like it.

-p[=<page size]

    Full-page output. (PDF only now.) In this case the chart is drawn on fixed-size pages (following pagination) with one pixel equalling to 1/72 inches. If a chart page is larger than a physcal page it is simply cropped with a warning. Setting the scale with the -s option enables zooming. Page size can be set to ISO sizes from A0 to A6, and to US sizes, such as letter, legal, ledger and tabloid. Append a 'p' or an 'l' for portrait and landscape, respectively (except for 'tabloid' and 'ledger', which are by definition portrait and landscape, resp.). E.g., use 'A4p', 'A2l' or 'letter_l'. Default is 'A4p'.

-m{lrud}=<margin>

    Useful only for full-page output, specifies the margin. A separate option is needed to specify the left, right, upwards and downwards margins, denoted by the second letter of the option. Margins are to be specified in inches (number only) or in centimeters, if appended with 'cm' (no spaces). The default margin is half inches everywhere.

-va=<center|up|down>

-ha=<center|left|right>

    Set the vertical and horizontal alignment within a page for fullpage output.

-a[h]
    Automatic pagination. Used only with full-page output. If specified, scale cannot be 'auto'. Specifying -ah will insert a heading after automatically inserted page breaks.

-Wno
    No warnings displayed.

-TI Additional Technical Info is printed about compilation.

-Pno
    No progress indicator displayed.

-q  No progress indicator displayed.

--nopaths
    Only the filename will be printed in error messages without its path

-x=<width>
    Specifies chart width (in pixels). Only for bitmap output.

-y=<height> Specifies chart height (in pixels). If only one of -x or -y

    is specified, the aspect ratio is kept. Only for bitmap output.

-s=<scale>
    Can be used to scale chart size up or down. Default is 1.0. Cannot be used together with any of -x or -y. Only for bitmap or full-page output (-p). For full-page output, you can set <scale> to 'width' which results in the chart width being set to the page width, or 'auto', which scales such that all pages fits. For full-page output, you can specify multiple -s options, which makes msc-gen to try them in the order specified until one is found for which no pages need to be cropped. If none is such, the last one will be used and a warning will be given.

-F <font>
    Use specified font. This must be a font name available in the local system, and overrides the MSCGEN_FONT environment variable if that is also set. (On Linux\Unix try fontconfig.)

--no-designs

    If you specify this no design files will be loaded (except the ones you specify with -D). This is useful to increase performance when you do not use them anyway.

-D <design_file>

    Load file containing additional chart design definitions. You can have multiple of this option to load several design files, after the default ones. These files are loaded even if --no-designs is specified.

--<chart_option>=<value>

    These options will be evaluated before the input file. Any value here will be overwritten by a conflicting option in the file.

--<chart_design>

    Any chart design can be specified here, taking precedence over the design specified in the input file.

-l  Display program licence and exit.

-h  Display this help and exit.

--help
    Display this help and exit.

--version
    Display version information and exit.

--no-pedantic

--pedantic
    Set or unset the pedantic chart option (defaults to what is set in the design lib or false if not defined).

  Signalling chart specific options:

--force-mscgen

    Forces the chart to be interpreted in mscgen mode. Note that many Msc-generator attributes, commands and keywords are still recognized. This setting makes conflicting syntax be intrepreted as mscgen would do. Without this switch Msc-generator uses the mscgen mode only if the chart starts with the text 'msc {'.

--prevent-mscgen

    Prevents the chart to be interpreted in mscgen mode. Note that some mscgen attributes and symbols are still recognized. This setting makes conflicting syntax be intrepreted as Msc-generator would do. Without this switch Msc-generator uses the mscgen mode if the chart starts with the text 'msc {'.

-Wno-mscgen Disables warnings for deprecated constructs kept only for

    backwards compatibility with mscgen. Has no effect with --force-mscgen, in that case no such warnings are emitted.

COPYRIGHT
Copyright © 2008-2021 Zoltan Turanyi Msc-generator comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to redistribute it under certain conditions; type `msc-gen -l' for details.

SEE ALSO
The full documentation for Msc-generator is maintained as a Texinfo manual. If the info and Msc-generator programs are properly installed at your site, the command

    info msc-gen

should give you access to the complete manual.